Subject: Re: Parseable commit header

From: "David A. Wheeler" <[email-masked]>
Date: Sun, 17 Apr 2005 12:49:24 -0400

Stefan-W. Hahn wrote:
> Hi,
> 
> after playing a while with git-pasky it is a crap to interpret the date of
> commit logs. Though it was a good idea to put the date in a parseable format
> (seconds since), but the format of the commit itself is not good parseable.

> Should be:
...
> Committer-Dater: 1113684324 +0200

I'm probably coming in late to the game, but exactly
why is seconds-since-epoch format used instead of a format
more easily understood by humans?  Yes, I know tools
can easily convert that, but you're already using an ASCII format;
why not just record it in a format that's easily eyeballed like ISO's
yyyymmddThhmmss [timezone]? E.G.:
  20050417T171520 +0200
or some such?  I'm SURE that people will mention things
like "the patch I posted on April 17, 2005", and having the
patch format record times that way, directly, would be convenient
to the poor slobs^H^H^H^H^H developers who come later.
Yes, a tool can handle the conversion, but choosing formats
so a tool is unneeded for simple stuff is often better....!

--- David A. Wheeler